#ifndef PROCESS_H
#define PROCESS_H
/*
**	$Id: process.h,v 1.2 1995/10/07 02:52:55 chris Exp $
**	$Revision: 1.2 $
**
**	$Filename: developer/process.h $
**	$Author: chris $
**	$Date: 1995/10/07 02:52:55 $
**
**	Prozess-Verwaltung
**
**	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF RELOG AG.
**
**	COPYRIGHT (C) 1992-1995 BY RELOG AG, ZUERICH. ALL RIGHTS RESERVED.
**	NO PART OF THIS SOFTWARE MAY BE COPIED, REPRODUCED, OR TRANSMITTED
**	IN ANY FORM OR BY ANY MEANS,  WITHOUT THE PRIOR WRITTEN PERMISSION
**	OF RELOG AG.
**
*/

#include "os.h"
#include "arexx.h"

typedef BOOL (* PROCFUNC)( VOID * );


/*
**	Prototypes
*/

U32
Process_Create( PROCFUNC, VOID *, U8 *, S8 );

VOID
Process_Delete( U32 );

VOID
Process_WakeUp( U32 );

BOOL
Process_IsValidPID( U32 pid );

struct ARexxPort *
Process_GetRexxPort( U32 );

#endif
